d3.csv('https://gist.githubusercontent.com/harika-1929/744950b56ed2f63fa8b921255c0e32d7/raw/d7151e94ef9407a3d5833f1a0badd19dc54c6716/scatter2', function(err, rows){


function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}
  

var trace2 = {
	x:unpack(rows, 'year20'), 
  y:unpack(rows, 'year21'), 
  z:unpack(rows, 'year22'),
	mode: 'markers',
	marker: {
		color: 'blue',
		size: 8,
		symbol: 'circle',
		line: {
		color: 'black',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};

var data = [trace2];
  

var layout = {
  margin: {
	l: 1,
	r: 1,
	b: 1,
	t: 1},
  scene: {
    xaxis: {
      title: 'year20',
      titlefont: {
         color: 'blue',
         size: 15
      }
    },
    yaxis: {
      title: 'year21',
      titlefont: {
         color: 'green',
         size: 15
      }
    },
  zaxis: {
      title: 'year22',
      titlefont: {
         color: 'red',
         size: 15
      }
    }
   }
  };
  

Plotly.newPlot('myDiv', data, layout);
});
